Package com.sap.ai.sdk.orchestration.model

# Enum Class AzureContentSafetyOutputFilterConfig.TypeEnum

java.lang.Object
java.lang.Enum<AzureContentSafetyOutputFilterConfig.TypeEnum>
com.sap.ai.sdk.orchestration.model.AzureContentSafetyOutputFilterConfig.TypeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<AzureContentSafetyOutputFilterConfig.TypeEnum>`, `Constable`

Enclosing class:
  `AzureContentSafetyOutputFilterConfig`

public static enum AzureContentSafetyOutputFilterConfig.TypeEnum extends Enum<AzureContentSafetyOutputFilterConfig.TypeEnum>
Name of the filter provider type

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AZURE_CONTENT_SAFETY`
  The AZURE_CONTENT_SAFETY option of this AzureContentSafetyOutputFilterConfig
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this AzureContentSafetyOutputFilterConfig

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AzureContentSafetyOutputFilterConfig.TypeEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static AzureContentSafetyOutputFilterConfig.TypeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AzureContentSafetyOutputFilterConfig.TypeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AZURE_CONTENT_SAFETY

    public static final AzureContentSafetyOutputFilterConfig.TypeEnum AZURE_CONTENT_SAFETY
    The AZURE_CONTENT_SAFETY option of this AzureContentSafetyOutputFilterConfig

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final AzureContentSafetyOutputFilterConfig.TypeEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this AzureContentSafetyOutputFilterConfig

- ## Method Details

  - ### values

    public static AzureContentSafetyOutputFilterConfig.TypeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AzureContentSafetyOutputFilterConfig.TypeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<AzureContentSafetyOutputFilterConfig.TypeEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static AzureContentSafetyOutputFilterConfig.TypeEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type AzureContentSafetyOutputFilterConfig